.app_schedule {
  height: 600px;
  max-height: 100%;
  /* overflow-y: auto; */
  display: flex;
  flex-direction: column;
  width: 100%;
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none;
}

.app_schedule__days_list {
  display: flex;
  flex-grow: 1;
  /*flex-basis: 1;*/
  overflow-x: auto;
  padding-right: 20px;
}

.app_schedule__days_item {

}

.app_schedule__day {
  display: flex;
  flex-direction: column;
  margin-right: 10px;
  width: 170px;
  min-width: 170px;
}

.app_schedule__day_header {
  background-color: rgb(236, 236, 252);
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 20px;
  color:rgb(75, 75, 114);
}

.app_schedule__day_periods_list {
  list-style: none;
  padding: 0;
  margin: 0;
  color:rgb(104, 104, 114);
}

.app_schedule__day_periods_item_wrapper {
  overflow-y: 'visible';
}

.app_schedule__day_periods_item_wrapper {
}

.app_schedule__day_periods_item {
  display: flex;
  height: 100px;
  padding: 10px;
  margin-bottom: 10px;
  margin: 0;
}

.app_schedule__day_periods_item_busy .app_schedule__day_periods_item__body {
  /* background-color: #818190; */
  background-color: #b0b0ca;
  color: #fff;
}

.app_schedule__day_periods_item_busy .app_schedule__day_periods_item__body_text {
  color: rgb(142, 142, 177);
  cursor: pointer;
}

.app_schedule__day_periods_item_busy:hover .app_schedule__day_periods_item__body_text {
  color: rgb(231, 231, 238);
}

.app_schedule__day_periods_item_free .app_schedule__day_periods_item__body {
  background-color: #E6E5F4;
  /* background-color: #dddcf3; */
  /*color: #000;*/
}

.app_schedule__day_periods_item_free .app_schedule__day_periods_item__body:hover {
  background-color: #e2e0fd;
  cursor: pointer;
}

.app_schedule__day_periods_item_free .app_schedule__day_periods_item__body:hover .app_schedule__day_periods_item__body_text {
  display: none;
}

.app_schedule__day_periods_item__time_wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.app_schedule__day_periods_item__body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-grow: 1;
  border-radius: 20px;
  margin-left: 5px;
  text-align: center;
  position: relative;
}

.app_schedule__day_periods_item_free .app_schedule__day_periods_item__body_add_app {
  background-color: #D4D1FF;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: flex-start;
  cursor: default;
}

.app_schedule__day_periods_item_free .app_schedule__day_periods_item__body_add_app:hover {
  background-color: #D4D1FF;
  cursor: default;
}

.app_schedule__day_periods_item__body_text {
  display: flex;
  flex-grow: 1;
  align-items: center;
  color: rgb(96, 94, 128);
}

.app_schedule__day_periods_item__body_text_appointment {
  text-decoration: none;
  color: rgb(96, 94, 128);
}

.app_schedule__day_periods_item__body_text_appointment:hover {
  color: rgb(124, 122, 148);
}

.app_schedule__day_periods_item__body_button {
  background: #e2e0fd;
  border: none;
  border-radius: 50%;
  width: 34px;
  height: 34px;
  font-size: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  /* position: absolute; */
  /* top: 100%; */
  /* left: 100%; */
  /* transform: translate(-80%, -80%); */
  padding-bottom: 6px;
  display: none;
}

.app_schedule__day_periods_item_free .app_schedule__day_periods_item__body:hover .app_schedule__day_periods_item__body_button {
  display: flex;
  /* color: rgb(147, 142, 216); */
  color: rgb(158, 157, 177);
}

.app_schedule__day_periods_item__body_button:hover {
  /* background: #D9D7FA; */
  border-radius: 50%;
}

.app_schedule__day_periods_item_free .app_schedule__day_periods_item__body:hover .app_schedule__day_periods_item__body_button {
  display: flex;
}
